package p02_konsola;

import java.io.IOException;
import java.util.Arrays;

public class B_StandardoweWejscie2 {
    public static void main(String[] args) throws IOException {
        System.out.println("Napisz coś");

        // Można też wczytać całą porcję bajtów do tablicy
        byte[] bajty = new byte[100];
        int ile = System.in.read(bajty);

        System.out.println("Odczytano " + ile + " bajtów.");
        System.out.println(Arrays.toString(bajty));

        // Można utworzyć napis na podstawie ciągu bajtów:

        String napis = new String(bajty, 0, ile);
        // String napis = new String(bajty, 0, ile, "UTF-8");
        System.out.println("Napisałeś: " + napis);
    }
}

// System.in pozwala czytać surowe dane w postaci pojedynczych bajtów lub tablicy bajtów.
// Jest to niewygodne. Przydałaby nam się operacja czytania całej linii tekstu albo całych słów, albo liczb zapisanych dziesiętnie...

// W paktyce korzysta się z tego za pośrednictwem klasy Scanner (lub ewentualnie BufferedReader).

